# $Revision: 1.57 $, $Date: 2012/05/17 19:34:46 $
#
# Conditional build:
%bcond_with	static_libs	# don't build static library
#
Summary:	Xfce session manager
Summary(pl.UTF-8):	Zarządca sesji Xfce
Name:		xfce4-session
Version:	4.10.0
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/xfce/4.10/src/%{name}-%{version}.tar.bz2
# Source0-md5:	4768e1a41a0287af6aad18b329a0f230
Source1:	http://www.blues.gda.pl/SOURCES/%{name}-ubuntu_icons.tar.bz2
# Source1-md5:	bf19add3364c0b0d804a7490c1a1fcbe
Patch0:		%{name}-ubuntu_icons.patch
URL:		http://www.xfce.org/projects/xfce4-session
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libwnck-devel >= 2.22.0
BuildRequires:	libxfce4ui-devel >= %{version}
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	upower-devel
BuildRequires:	xfce4-dev-tools >= 4.10.0
BuildRequires:	xfce4-panel-devel >= %{version}
BuildRequires:	xfconf-devel >= %{version}
BuildRequires:	xorg-lib-libSM-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	upower
Requires:	xfce4-dirs >= 4.6
Requires:	xorg-app-iceauth
Obsoletes:	xfce4-toys
Obsoletes:	xfce-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce4-session is the session manager for the Xfce desktop environment.

%description -l pl.UTF-8
xfce4-session jest zarządcą sesji dla środowiska Xfce.

%package libs
Summary:	Xfce Session Manager library
Summary(pl.UTF-8):	Biblioteka zarządcy sesji dla środowiska Xfce
Group:		X11/Libraries

%description libs
Xfce Session Manager library.

%description libs -l pl.UTF-8
Biblioteka zarządcy sesji dla środowiska Xfce.

%package devel
Summary:	Header files for Xfce Session Manager library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki zarządcy sesji dla środowiska Xfce
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libxfce4ui-devel >= %{version}
Requires:	xfconf-devel >= %{version}

%description devel
Header files for Xfce Session Manager library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki zarządcy sesji dla środowiska Xfce.

%package static
Summary:	Static Xfce Session Manager library
Summary(pl.UTF-8):	Statyczna biblioteka zarządcy sesji dla środowiska Xfce
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Xfce Session Manager library.

%description static -l pl.UTF-8
Statyczna biblioteka zarządcy sesji dla środowiska Xfce.

%prep
%setup -q -a1
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-hal \
	--enable-session-screenshots \
	%{!?with_static_libs:--disable-static} \
	--disable-silent-rules \
	ICEAUTH=/usr/bin/iceauth

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/session/splash-engines/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/startxfce4
%attr(755,root,root) %{_bindir}/xflock4
%attr(755,root,root) %{_bindir}/xfce4-session
%attr(755,root,root) %{_bindir}/xfce4-session-logout
%attr(755,root,root) %{_bindir}/xfce4-session-settings
%dir %{_libdir}/xfce4/session
%attr(755,root,root) %{_libdir}/xfce4/session/balou-export-theme
%attr(755,root,root) %{_libdir}/xfce4/session/balou-install-theme
%attr(755,root,root) %{_libdir}/xfce4/session/xfsm-shutdown-helper
%dir %{_libdir}/xfce4/session/splash-engines
%attr(755,root,root) %{_libdir}/xfce4/session/splash-engines/*.so
%{_sysconfdir}/xdg/autostart/*.desktop
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%{_sysconfdir}/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/xdg/xfce4/xinitrc

%{_datadir}/xsessions/xfce.desktop
%{_datadir}/themes/Default/balou
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfsm-4.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfsm-4.6.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfsm-4.6.so
%{_includedir}/xfce4/xfce4-session-4.6
%{_pkgconfigdir}/xfce4-session-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfsm-4.6.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-session.spec,v $
Revision 1.57  2012/05/17 19:34:46  baggins
- rel 2
- obsoletes xfce-utils

Revision 1.56  2012/05/17 18:09:09  baggins
- updated files

Revision 1.55  2012/05/17 18:06:53  baggins
- updated files
- no static lib

Revision 1.54  2012/05/17 18:02:06  baggins
- no static libs

Revision 1.53  2012/05/17 17:58:41  baggins
- updating install

Revision 1.52  2012/05/17 11:59:11  baggins
- 4.10.0

Revision 1.51  2011/02/16 18:43:03  megabajt
- merged from DEVEL

Revision 1.46.2.7  2011/02/10 23:13:38  megabajt
- drop libtool file
- release 1

Revision 1.50  2011/02/04 18:39:22  wiget
- md5sum position fixed

Revision 1.49  2011/02/04 18:24:10  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.46.2.6  2011/01/30 12:42:10  megabajt
- updated to 4.8.0
- removed obsolete -splash-path.patch

Revision 1.46.2.5  2010/11/15 21:53:37  baggins
- BR/R UPower(-devel)

Revision 1.46.2.4  2010/11/15 13:25:24  baggins
- fix splash engines path

Revision 1.46.2.3  2010/11/14 23:55:30  baggins
- fixed doc

Revision 1.46.2.2  2010/11/14 23:47:32  baggins
- hal is dead

Revision 1.48  2010/11/14 16:22:03  baggins
- no ur_PK locale

Revision 1.47  2010/11/14 12:45:57  baggins
- 4.6.2

Revision 1.46.2.1  2010/11/14 12:24:02  baggins
- 4.7.1, XFCE 4.8pre1

Revision 1.46  2010/11/11 20:38:55  baggins
- rel 3
- dirs cleanup

Revision 1.45  2009/06/17 21:15:41  hawk
- release 2

Revision 1.44  2009/04/27 07:53:59  adamg
- updated to 4.6.1

Revision 1.43  2009/03/11 16:33:54  qboosh
- sanitized

Revision 1.42  2009/03/11 14:32:07  duddits
- %build: --enable-dbus obsolete

Revision 1.41  2009/02/27 23:09:57  megabajt
- updated to 4.6.0
- removed obsolete -locale-names.patch and -logout_dialog.patch

Revision 1.40  2008/11/09 19:22:58  megabajt
- release 3

Revision 1.39  2008/10/29 22:02:58  blues
- rel.2 - session-logout_dialog patch with additional logout options and
  fresh icons. Helper session-ubuntu_icons patch added

Revision 1.38  2008/10/28 00:09:46  blues
- 4.4.3

Revision 1.37  2007/12/05 16:24:14  megabajt
- updated to 4.4.2

Revision 1.36  2007-09-04 15:47:19  baggins
- rel 3
- regenerate intltool stuff

Revision 1.35  2007/09/04 15:41:50  baggins
- rel 2

Revision 1.34  2007/04/11 18:15:18  rotom
- 4.4.1

Revision 1.33  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.31  2007/01/28 13:56:56  megabajt
- added O: xfce4-toys

Revision 1.30  2007/01/22 18:09:45  megabajt
- updated to 4.4.0

Revision 1.29  2006/11/06 18:19:45  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)

Revision 1.28  2006/09/04 18:57:29  megabajt
- oops... fix typo

Revision 1.27  2006/09/04 18:15:07  megabajt
- updated to 4.3.99.1
- added %update_icon_cache macro

Revision 1.26  2006/07/16 19:58:18  freetz
- merged from DEVEL

Revision 1.25.2.4  2006/07/16 19:57:44  freetz
- 4.3.90.2, updated deps, --as-needed support

Revision 1.25.2.3  2006/05/17 04:51:55  charles
- without static_libs bcond

Revision 1.25.2.2  2006/05/17 04:40:49  charles
- BR: intltool

Revision 1.25.2.1  2006/05/10 21:01:11  freetz
- 4.3.90.1

Revision 1.25  2006/03/17 16:09:08  megabajt
- update for xorg (change path to iceauth)
- R: xorg-app-iceauth

Revision 1.24  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.23  2005/11/10 04:39:45  charles
- updated to 4.2.3

Revision 1.22  2005/05/20 23:29:27  charles
- lang(fr) for xfce4/doc/fr

Revision 1.21  2005/05/20 02:32:04  koorek
- updated to 4.2.2
- added fr docs
- BR xfce4-dev-tools

Revision 1.20  2005/03/16 12:24:27  charles
- BR: gettext-devel, pkgconfig

Revision 1.19  2005/03/16 03:05:59  koorek
- updated to 4.2.1

Revision 1.18  2005/01/17 18:31:28  charles
- updated to 4.2.0 final

Revision 1.17  2005/01/05 03:30:56  charles
- reverted Rs libxfce4mcs, xfce-mcs-manager
- added R libxfcegui4

Revision 1.16  2005/01/04 17:04:52  charles
- proper BRs versions
- removed redundant R
- corrected licence
- rel. 2 for STBR

Revision 1.15  2004/12/28 12:30:56  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.14  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.13  2004/12/14 01:35:42  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.12  2004/11/25 23:53:48  qboosh
- added locale-names patch (no->nb,pt_PT->pt)
- fixed files, package devel stuff

Revision 1.11  2004/11/25 06:48:54  troll
- merged from DEVEL

Revision 1.10.2.12  2004/11/16 23:08:46  ankry
- spaces -> tabs

Revision 1.10.2.11  2004/11/16 21:25:50  dzeus
- proper BR,R

Revision 1.10.2.10  2004/11/16 06:08:45  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.10.2.9  2004/11/08 17:44:31  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.10.2.8  2004/10/07 19:00:17  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.10.2.7  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.10.2.6  2004/08/14 23:08:44  havner
- docdir added

Revision 1.10.2.5  2004/08/13 18:57:05  havner
- proper version
- stricter BR
- 20040813

Revision 1.10.2.4  2004/08/07 00:20:12  havner
- cosmetics

Revision 1.10.2.3  2004/08/07 00:03:17  havner
- 20040806

Revision 1.10.2.2  2004/06/22 13:22:19  jpc
- fixes from troll
- cosmetics

Revision 1.10.2.1  2004/06/18 23:37:46  jpc
- new snap (20040617)
- autotoolize
- some new files (desktop, icons, new place for themes, man page)

Revision 1.10  2004/03/14 20:06:24  adgor
- xsession desktop file moved to xfce4-utils package

Revision 1.9  2004/03/06 13:37:43  andree
- cp config.sub .

Revision 1.8  2003/09/25 20:20:13  adgor
- Changed %%{SOURCE!}

Revision 1.7  2003/09/25 02:08:45  troll
- added source md5 sum

Revision 1.6  2003/09/24 23:26:17  adgor
- Typos

Revision 1.5  2003/09/24 21:58:23  adgor
- Added XFce4.desktop (placed in %%{_datadir}/xsessions)

Revision 1.4  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.3  2003/08/04 10:28:04  qboosh
- fixed file list, pl cosmetics

Revision 1.2  2003/08/04 07:45:31  pascalek
- cosmetics

Revision 1.1  2003/08/04 01:08:23  troll
- initial release
